import Foundation
import App

abbrev = 'Thunderbolt_TOS'
iconName = 'Thunderbolt_TOS'
longName = 'USS Thunderbolt'
shipFile = 'Thunderbolt_TOS' 
menuGroup = 'TOS Ships'
playerMenuGroup = 'TOS Ships'
SubMenu = ['Federation','Thunderbolt Class']
species = App.SPECIES_GALAXY

Foundation.ShipDef.Thunderbolt_TOS = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })

Foundation.ShipDef.Thunderbolt_TOS.desc = "U.S.S. Thunderbolt NCC-1947 Thunderbolt Class\n\nThe Thunderbolt Class was developed during the mid 23rd century to provide Starfleet with a quickly built border patrol ship and escort destroyer for war-time fleet engagements.\n\nThe design was greatly influenced by the constant threat of all out war with the Klingon empire and thus specifically built for combat operations. Maneuverability and firepower where key requirements in order to successfully engage D-6 and D-7 class battle cruisers with small task force formations.  The class is equipped with minimal science facilities opting to use the space for power systems and armament.  The warp nacelles were positioned to run along the lateral line of the ship providing a low profile target and allowing for 360 degree phaser coverage.  She is also equipped with 4 single fire forward torpedo launcher which allows for torpedo spread capabilities.\n\nThe Thunderbolt class has undergone several re-fits improving upon engine, weapons and shielding as advances in these technologies became field ready."
if menuGroup:           Foundation.ShipDef.Thunderbolt_TOS.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Thunderbolt_TOS.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]



abbrev = 'Mustang_TOS'
iconName = 'Thunderbolt_TOS'
longName = 'USS Mustang'
shipFile = 'Mustang_TOS' 
menuGroup = 'TOS Ships'
playerMenuGroup = 'TOS Ships'
SubMenu = ['Federation','Thunderbolt Class']
species = App.SPECIES_GALAXY

Foundation.ShipDef.Mustang_TOS = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })

Foundation.ShipDef.Mustang_TOS.desc = "U.S.S. Mustang NCC-1951 Thunderbolt Class\n\nThe Thunderbolt Class was developed during the mid 23rd century to provide Starfleet with a quickly built border patrol ship and escort destroyer for war-time fleet engagements.\n\nThe design was greatly influenced by the constant threat of all out war with the Klingon empire and thus specifically built for combat operations. Maneuverability and firepower where key requirements in order to successfully engage D-6 and D-7 class battle cruisers with small task force formations.  The class is equipped with minimal science facilities opting to use the space for power systems and armament.  The warp nacelles were positioned to run along the lateral line of the ship providing a low profile target and allowing for 360 degree phaser coverage.  She is also equipped with 4 single fire forward torpedo launcher which allows for torpedo spread capabilities.\n\nThe Thunderbolt class has undergone several re-fits improving upon engine, weapons and shielding as advances in these technologies became field ready."
if menuGroup:           Foundation.ShipDef.Mustang_TOS.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Mustang_TOS.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


def SDTEntry(self):
	retval = {"Textures": [["7.tga", "data/Models/Ships/Thunderbolt_TOS/mustang_7.tga"], ["5.tga", "data/Models/Ships/Thunderbolt_TOS/mustang_5.tga"]]}

	return retval

Foundation.ShipDef.Mustang_TOS.__dict__["SDT Entry"] = SDTEntry

